<ng-container *ngIf="parcel$|async as parcel">

  <div class="mb-20">
    <app-svg assetsSVG="assets/dashboard/dashboard-arrow-left.svg" routerLink="" class="close"></app-svg>
  </div>
  <div class="mb-20 header-status">
    <div app-header-h2 color="orange-200">{{parcel.refNumber}}</div>
    <app-package-status [parcel]="parcel"></app-package-status>
  </div>

  <div>{{parcel.sender.companyName}}</div>
  <div class="mb-32 sender">
    <div>{{parcel.sender.address|fullStreetAddress}}</div>
    <div>{{parcel.sender.address.postalCode}} {{parcel.sender.address.city}}</div>
  </div>

  <ng-container *ngIf="parcel.pickUpDetails">
    <div app-header-h2 color="orange-200" class="mb-20 header-with-border">
      <div>Dane do odbioru</div>
      <div class="border"></div>
    </div>

    <div class="mb-24">
      <div app-header-h3 color="orange-200">
        {{parcel.pickUpDetails.pickupTimeLeftInHours}}h
      </div>
      <div class="action-row">
        <div>Czas na odbiór</div>
        <div role="button" app-link>Przedłuż</div>
      </div>
    </div>

    <div class="mb-36">
      <div app-header-h3 color="orange-200">{{parcel.receiver.name}}</div>
      <div>{{parcel.receiver.address|fullStreetAddress}}</div>
      <div>{{parcel.receiver.address.postalCode}} {{parcel.receiver.address.city}}</div>
    </div>

    <app-parcel-qr class="mb-56"></app-parcel-qr>
  </ng-container>

  <div app-header-h2 color="orange-200" class="mb-24 header-with-border">
    <div>Szczegóły dostawy</div>
    <div class="border"></div>
  </div>

  <div class="mb-24">
    <div class="date-with-time">
      <div app-header-h3 color="orange-200">{{parcel.estimatedDeliveryDate|date: 'd MMM y'}}</div>
    </div>
    <div class="action-row">
      <div>Estymowany czas dostawy</div>
      <div app-link role="button" *ngIf="parcel.realizationStatus === 'IN_REALIZATION'" (click)="updateDeliveryDate()">Zmień</div>
    </div>
  </div>

  <div class="mb-24">
    <div class="date-with-time">
      <div app-header-h3 color="orange-200">{{parcel.receiver.name}}</div>
    </div>
    <div>{{parcel.receiver.address|fullStreetAddress}}</div>
    <div class="action-row">
      <div>{{parcel.receiver.address.postalCode}} {{parcel.receiver.address.city}}</div>
      <div app-link role="button" *ngIf="parcel.realizationStatus === 'IN_REALIZATION'" (click)="updateDeliveryAddress()">Zmień</div>
    </div>
  </div>

  <div class="mb-56">
    <div app-header-h3 color="orange-200">{{parcel.carrier.name|uppercase}}</div>

    <div class="action-row mb-36">
      <div>Przewoźnik</div>
      <a app-link href="tel:+48 546 321 234">{{parcel.carrier.phone}}</a>
    </div>

    <div class="mb-48 sizes">
      <app-parcel-size size="S" [active]="parcel.dimensions.size === 'S'"></app-parcel-size>
      <app-parcel-size size="M" [active]="parcel.dimensions.size === 'M'"></app-parcel-size>
      <app-parcel-size size="L" [active]="parcel.dimensions.size === 'L'"></app-parcel-size>
      <app-parcel-size size="XL" [active]="parcel.dimensions.size === 'XL'"></app-parcel-size>
    </div>

    <div app-header-h3 color="orange-200">{{parcel.dimensions|parcelDimensions}}</div>
    <div>Rozmiar paczki</div>
  </div>

  <div app-header-h2 color="orange-200" class="mb-24 header-with-border">
    <div>Status dostawy</div>
    <div class="border"></div>
  </div>

  <app-parcel-waypoints></app-parcel-waypoints>

</ng-container>
